package com.zsc.edu.gateway.modules.notice.entity;

import com.baomidou.mybatisplus.annotation.IEnum;
import com.zsc.edu.gateway.common.enums.IState;

/**
 * 消息类型
 *
 * @author zhuang
 */
public enum MessageType implements IEnum<Integer>,IState<MessageType> {
    other(1,"其他"),
    resetThePassword(2,"重置密码");

    private final Integer value;
    private final String name;

    MessageType(Integer value, String name) {
        this.value = value;
        this.name = name;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    @Override
    public String toString() {
        return name;
    }
}
